Subject: bug#31739: 25.2; Cannot expire articles in virtual group

From: Lars Ingebrigtsen <[email-masked]>
Date: Fri, 18 Oct 2019 05:54:01 +0200

Jamie Forth <[email-masked]> writes:

> There expire marks disappear where I think they are supposed to.
>
>   ;; Make all changes in this group permanent.
>     (unless quit-config
>       (gnus-run-hooks 'gnus-exit-group-hook)
>       (gnus-summary-update-info))  <-- Here
>
> What I tried was:
> 1. enter vg and mark some articles `E`.
> 2. (gnus-summary-update-info)
> 3. (gnus-info-marks (gnus-get-info "nnvirtual:vg-test"))
>
> The same thing happens in a non-virtual group, except then when I
> re-enter the group the previously marked articles have been correctly
> expired.

Let's see...  Here's the call sequence I get when I `E' and then `q'
from the nnvirtual group:

Debugger entered: nil
  nnimap-request-expire-articles((392790 394237 394238) "spam" "quimby.gnus.org" nil)
  gnus-request-expire-articles((392790 394237 394238) "nnimap+quimby.gnus.org:spam")
  gnus-group-expire-articles-1("nnimap+quimby.gnus.org:spam")
  nnvirtual-request-expire-articles((392790 394237 394238 394330) "imap-test" "^$\\|\\(^nnimap\\+quimby\\.gnus\\.org:spam$\\)" nil)
  gnus-request-expire-articles((392790 394237 394238 394330) "nnvirtual:imap-test")
  gnus-summary-expire-articles()
  run-hooks(gnus-summary-prepare-exit-hook)
  apply(run-hooks gnus-summary-prepare-exit-hook)
  gnus-run-hooks(gnus-summary-prepare-exit-hook)
  gnus-summary-exit()
  funcall-interactively(gnus-summary-exit)

So this is done from gnus-summary-prepare-exit-hook.  What's the value
of that hook for you?

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no